> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1voicecallsanalyses



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/voice/calls/analyses
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/calls/analyses:
    get:
      tags:
        - Calls
      operationId: calls.callAnalyses
      parameters:
        - name: page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: search
          in: query
          schema:
            type: string
        - name: search_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        team_id:
                          type: string
                        meta:
                          type: object
                          properties:
                            insights:
                              type: object
                              properties:
                                summary:
                                  type: string
                                trends:
                                  type: string
                                anomalies:
                                  type: string
                              required:
                                - summary
                                - trends
                                - anomalies
                            agents_performance:
                              type: array
                              items:
                                type: object
                                properties:
                                  agent_id:
                                    type: string
                                  voice_id:
                                    type: string
                                  performance_score:
                                    type: number
                                  conversion_rate:
                                    type: number
                                  average_call_duration:
                                    type: number
                                required:
                                  - agent_id
                                  - voice_id
                                  - performance_score
                                  - conversion_rate
                                  - average_call_duration
                            suggested_agents:
                              type: array
                              items:
                                type: object
                                properties:
                                  agent_id:
                                    type: string
                                  new_agent_name:
                                    type: string
                                  voice_speed:
                                    type: number
                                  voice_id:
                                    type: string
                                  agent_speak_first:
                                    type: boolean
                                  background_noise:
                                    type: boolean
                                  prompt:
                                    type: string
                                  welcome_messages:
                                    type: array
                                    items:
                                      type: string
                                  reasons:
                                    type: string
                                required:
                                  - agent_id
                                  - new_agent_name
                                  - voice_speed
                                  - voice_id
                                  - agent_speak_first
                                  - background_noise
                                  - prompt
                                  - welcome_messages
                                  - reasons
                          required:
                            - insights
                            - agents_performance
                            - suggested_agents
                        created_at:
                          type: string
                      required:
                        - id
                        - team_id
                        - meta
                        - created_at
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      last_page:
                        type: integer
                      per_page:
                        type: integer
                      total:
                        type: integer
                    required:
                      - current_page
                      - last_page
                      - per_page
                      - total
                required:
                  - data
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````